Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.jdbc.oci.xa
Class DatabaseMetaData

    java.lang.Object
      |
      +--weblogic.jdbc.oci.xa.DatabaseMetaData

public class DatabaseMetaData
extends java.lang.Object
implements java.sql.DatabaseMetaData

Author:
  Copyright (c) 1998-2000 by BEA WebXpress, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`boolean` | `allProceduresAreCallable()`
`boolean` | `allTablesAreSelectable()`
`boolean` | `dataDefinitionCausesTransactionCommit()`
`boolean` | `dataDefinitionIgnoredInTransactions()`
`boolean` | `deletesAreDetected(int type)`
`boolean` | `doesMaxRowSizeIncludeBlobs()`
`java.sql.ResultSet` | `getBestRowIdentifier(java.lang.String catalog, java.lang.String schema, java.lang.String table, int scope, boolean nullable)`
`java.sql.ResultSet` | `getCatalogs()`
`java.lang.String` | `getCatalogSeparator()`
`java.lang.String` | `getCatalogTerm()`
`java.sql.ResultSet` | `getColumnPrivileges(java.lang.String catalog, java.lang.String schema, java.lang.String table, java.lang.String columnNamePattern)`
`java.sql.ResultSet` | `getColumns(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern, java.lang.String columnNamePattern)`
`java.sql.Connection` | `getConnection()`
`java.sql.ResultSet` | `getCrossReference(java.lang.String primaryCatalog, java.lang.String primarySchema, java.lang.String primaryTable, java.lang.String foreignCatalog, java.lang.String foreignSchema, java.lang.String foreignTable)`
`java.lang.String` | `getDatabaseProductName()`
`java.lang.String` | `getDatabaseProductVersion()`
`int` | `getDefaultTransactionIsolation()`
`int` | `getDriverMajorVersion()`
`int` | `getDriverMinorVersion()`
`java.lang.String` | `getDriverName()`
`java.lang.String` | `getDriverVersion()`
`java.sql.ResultSet` | `getExportedKeys(java.lang.String catalog, java.lang.String schema, java.lang.String table)`
`java.lang.String` | `getExtraNameCharacters()`
`java.lang.String` | `getIdentifierQuoteString()`
`java.sql.ResultSet` | `getImportedKeys(java.lang.String catalog, java.lang.String schema, java.lang.String table)`
`java.sql.ResultSet` | `getIndexInfo(java.lang.String catalog, java.lang.String schema, java.lang.String table, boolean unique, boolean approximate)`
`int` | `getMaxBinaryLiteralLength()`
`int` | `getMaxCatalogNameLength()`
`int` | `getMaxCharLiteralLength()`
`int` | `getMaxColumnNameLength()`
`int` | `getMaxColumnsInGroupBy()`
`int` | `getMaxColumnsInIndex()`
`int` | `getMaxColumnsInOrderBy()`
`int` | `getMaxColumnsInSelect()`
`int` | `getMaxColumnsInTable()`
`int` | `getMaxConnections()`
`int` | `getMaxCursorNameLength()`
`int` | `getMaxIndexLength()`
`int` | `getMaxProcedureNameLength()`
`int` | `getMaxRowSize()`
`int` | `getMaxSchemaNameLength()`
`int` | `getMaxStatementLength()`
`int` | `getMaxStatements()`
`int` | `getMaxTableNameLength()`
`int` | `getMaxTablesInSelect()`
`int` | `getMaxUserNameLength()`
`java.lang.String` | `getNumericFunctions()`
`java.sql.ResultSet` | `getPrimaryKeys(java.lang.String catalog, java.lang.String schema, java.lang.String table)`
`java.sql.ResultSet` | `getProcedureColumns(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String procedureNamePattern, java.lang.String columnNamePattern)`
`java.sql.ResultSet` | `getProcedures(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String procedureNamePattern)`
`java.lang.String` | `getProcedureTerm()`
`java.sql.ResultSet` | `getSchemas()`
`java.lang.String` | `getSchemaTerm()`
`java.lang.String` | `getSearchStringEscape()`
`java.lang.String` | `getSQLKeywords()`
`java.lang.String` | `getStringFunctions()`
`java.lang.String` | `getSystemFunctions()`
`java.sql.ResultSet` | `getTablePrivileges(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern)`
`java.sql.ResultSet` | `getTables(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String tableNamePattern, java.lang.String[] types)`
`java.sql.ResultSet` | `getTableTypes()`
`java.lang.String` | `getTimeDateFunctions()`
`java.sql.ResultSet` | `getTypeInfo()`
`java.sql.ResultSet` | `getUDTs(java.lang.String catalog, java.lang.String schemaPattern, java.lang.String typeNamePattern, int[] types)`
`java.lang.String` | `getURL()`
`java.lang.String` | `getUserName()`
`java.sql.ResultSet` | `getVersionColumns(java.lang.String catalog, java.lang.String schema, java.lang.String table)`
`boolean` | `insertsAreDetected(int type)`
`boolean` | `isCatalogAtStart()`
`boolean` | `isReadOnly()`
`boolean` | `nullPlusNonNullIsNull()`
`boolean` | `nullsAreSortedAtEnd()`
`boolean` | `nullsAreSortedAtStart()`
`boolean` | `nullsAreSortedHigh()`
`boolean` | `nullsAreSortedLow()`
`boolean` | `othersDeletesAreVisible(int type)`
`boolean` | `othersInsertsAreVisible(int type)`
`boolean` | `othersUpdatesAreVisible(int type)`
`boolean` | `ownDeletesAreVisible(int type)`
`boolean` | `ownInsertsAreVisible(int type)`
`boolean` | `ownUpdatesAreVisible(int type)`
`boolean` | `storesLowerCaseIdentifiers()`
`boolean` | `storesLowerCaseQuotedIdentifiers()`
`boolean` | `storesMixedCaseIdentifiers()`
`boolean` | `storesMixedCaseQuotedIdentifiers()`
`boolean` | `storesUpperCaseIdentifiers()`
`boolean` | `storesUpperCaseQuotedIdentifiers()`
`boolean` | `supportsAlterTableWithAddColumn()`
`boolean` | `supportsAlterTableWithDropColumn()`
`boolean` | `supportsANSI92EntryLevelSQL()`
`boolean` | `supportsANSI92FullSQL()`
`boolean` | `supportsANSI92IntermediateSQL()`
`boolean` | `supportsBatchUpdates()`
`boolean` | `supportsCatalogsInDataManipulation()`
`boolean` | `supportsCatalogsInIndexDefinitions()`
`boolean` | `supportsCatalogsInPrivilegeDefinitions()`
`boolean` | `supportsCatalogsInProcedureCalls()`
`boolean` | `supportsCatalogsInTableDefinitions()`
`boolean` | `supportsColumnAliasing()`
`boolean` | `supportsConvert()`
`boolean` | `supportsConvert(int fromType, int toType)`
`boolean` | `supportsCoreSQLGrammar()`
`boolean` | `supportsCorrelatedSubqueries()`
`boolean` | `supportsDataDefinitionAndDataManipulationTransactions()`
`boolean` | `supportsDataManipulationTransactionsOnly()`
`boolean` | `supportsDifferentTableCorrelationNames()`
`boolean` | `supportsExpressionsInOrderBy()`
`boolean` | `supportsExtendedSQLGrammar()`
`boolean` | `supportsFullOuterJoins()`
`boolean` | `supportsGroupBy()`
`boolean` | `supportsGroupByBeyondSelect()`
`boolean` | `supportsGroupByUnrelated()`
`boolean` | `supportsIntegrityEnhancementFacility()`
`boolean` | `supportsLikeEscapeClause()`
`boolean` | `supportsLimitedOuterJoins()`
`boolean` | `supportsMinimumSQLGrammar()`
`boolean` | `supportsMixedCaseIdentifiers()`
`boolean` | `supportsMixedCaseQuotedIdentifiers()`
`boolean` | `supportsMultipleResultSets()`
`boolean` | `supportsMultipleTransactions()`
`boolean` | `supportsNonNullableColumns()`
`boolean` | `supportsOpenCursorsAcrossCommit()`
`boolean` | `supportsOpenCursorsAcrossRollback()`
`boolean` | `supportsOpenStatementsAcrossCommit()`
`boolean` | `supportsOpenStatementsAcrossRollback()`
`boolean` | `supportsOrderByUnrelated()`
`boolean` | `supportsOuterJoins()`
`boolean` | `supportsPositionedDelete()`
`boolean` | `supportsPositionedUpdate()`
`boolean` | `supportsResultSetConcurrency(int type, int concurrency)`
`boolean` | `supportsResultSetType(int type)`
`boolean` | `supportsSchemasInDataManipulation()`
`boolean` | `supportsSchemasInIndexDefinitions()`
`boolean` | `supportsSchemasInPrivilegeDefinitions()`
`boolean` | `supportsSchemasInProcedureCalls()`
`boolean` | `supportsSchemasInTableDefinitions()`
`boolean` | `supportsSelectForUpdate()`
`boolean` | `supportsStoredProcedures()`
`boolean` | `supportsSubqueriesInComparisons()`
`boolean` | `supportsSubqueriesInExists()`
`boolean` | `supportsSubqueriesInIns()`
`boolean` | `supportsSubqueriesInQuantifieds()`
`boolean` | `supportsTableCorrelationNames()`
`boolean` | `supportsTransactionIsolationLevel(int level)`
`boolean` | `supportsTransactions()`
`boolean` | `supportsUnion()`
`boolean` | `supportsUnionAll()`
`boolean` | `updatesAreDetected(int type)`
`boolean` | `usesLocalFilePerTable()`
`boolean` | `usesLocalFiles()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### allProceduresAreCallable

    public boolean allProceduresAreCallable()
                                     throws java.sql.SQLException

  Specified by:
    allProceduresAreCallable in interface java.sql.DatabaseMetaData

### allTablesAreSelectable

    public boolean allTablesAreSelectable()
                                   throws java.sql.SQLException

  Specified by:
    allTablesAreSelectable in interface java.sql.DatabaseMetaData

### getURL

    public java.lang.String getURL()
                            throws java.sql.SQLException

  Specified by:
    getURL in interface java.sql.DatabaseMetaData

### getUserName

    public java.lang.String getUserName()
                                 throws java.sql.SQLException

  Specified by:
    getUserName in interface java.sql.DatabaseMetaData

### isReadOnly

    public boolean isReadOnly()
                       throws java.sql.SQLException

  Specified by:
    isReadOnly in interface java.sql.DatabaseMetaData

### nullsAreSortedHigh

    public boolean nullsAreSortedHigh()
                               throws java.sql.SQLException

  Specified by:
    nullsAreSortedHigh in interface java.sql.DatabaseMetaData

### nullsAreSortedLow

    public boolean nullsAreSortedLow()
                              throws java.sql.SQLException

  Specified by:
    nullsAreSortedLow in interface java.sql.DatabaseMetaData

### nullsAreSortedAtStart

    public boolean nullsAreSortedAtStart()
                                  throws java.sql.SQLException

  Specified by:
    nullsAreSortedAtStart in interface java.sql.DatabaseMetaData

### nullsAreSortedAtEnd

    public boolean nullsAreSortedAtEnd()
                                throws java.sql.SQLException

  Specified by:
    nullsAreSortedAtEnd in interface java.sql.DatabaseMetaData

### getDatabaseProductName

    public java.lang.String getDatabaseProductName()
                                            throws java.sql.SQLException

  Specified by:
    getDatabaseProductName in interface java.sql.DatabaseMetaData

### getDatabaseProductVersion

    public java.lang.String getDatabaseProductVersion()
                                               throws java.sql.SQLException

  Specified by:
    getDatabaseProductVersion in interface java.sql.DatabaseMetaData

### getDriverName

    public java.lang.String getDriverName()
                                   throws java.sql.SQLException

  Specified by:
    getDriverName in interface java.sql.DatabaseMetaData

### getDriverVersion

    public java.lang.String getDriverVersion()
                                      throws java.sql.SQLException

  Specified by:
    getDriverVersion in interface java.sql.DatabaseMetaData

### getDriverMajorVersion

    public int getDriverMajorVersion()

  Specified by:
    getDriverMajorVersion in interface java.sql.DatabaseMetaData

### getDriverMinorVersion

    public int getDriverMinorVersion()

  Specified by:
    getDriverMinorVersion in interface java.sql.DatabaseMetaData

### usesLocalFiles

    public boolean usesLocalFiles()
                           throws java.sql.SQLException

  Specified by:
    usesLocalFiles in interface java.sql.DatabaseMetaData

### usesLocalFilePerTable

    public boolean usesLocalFilePerTable()
                                  throws java.sql.SQLException

  Specified by:
    usesLocalFilePerTable in interface java.sql.DatabaseMetaData

### supportsMixedCaseIdentifiers

    public boolean supportsMixedCaseIdentifiers()
                                         throws java.sql.SQLException

  Specified by:
    supportsMixedCaseIdentifiers in interface java.sql.DatabaseMetaData

### storesUpperCaseIdentifiers

    public boolean storesUpperCaseIdentifiers()
                                       throws java.sql.SQLException

  Specified by:
    storesUpperCaseIdentifiers in interface java.sql.DatabaseMetaData

### storesLowerCaseIdentifiers

    public boolean storesLowerCaseIdentifiers()
                                       throws java.sql.SQLException

  Specified by:
    storesLowerCaseIdentifiers in interface java.sql.DatabaseMetaData

### storesMixedCaseIdentifiers

    public boolean storesMixedCaseIdentifiers()
                                       throws java.sql.SQLException

  Specified by:
    storesMixedCaseIdentifiers in interface java.sql.DatabaseMetaData

### supportsMixedCaseQuotedIdentifiers

    public boolean supportsMixedCaseQuotedIdentifiers()
                                               throws java.sql.SQLException

  Specified by:
    supportsMixedCaseQuotedIdentifiers in interface java.sql.DatabaseMetaData

### storesUpperCaseQuotedIdentifiers

    public boolean storesUpperCaseQuotedIdentifiers()
                                             throws java.sql.SQLException

  Specified by:
    storesUpperCaseQuotedIdentifiers in interface java.sql.DatabaseMetaData

### storesLowerCaseQuotedIdentifiers

    public boolean storesLowerCaseQuotedIdentifiers()
                                             throws java.sql.SQLException

  Specified by:
    storesLowerCaseQuotedIdentifiers in interface java.sql.DatabaseMetaData

### storesMixedCaseQuotedIdentifiers

    public boolean storesMixedCaseQuotedIdentifiers()
                                             throws java.sql.SQLException

  Specified by:
    storesMixedCaseQuotedIdentifiers in interface java.sql.DatabaseMetaData

### getIdentifierQuoteString

    public java.lang.String getIdentifierQuoteString()
                                              throws java.sql.SQLException

  Specified by:
    getIdentifierQuoteString in interface java.sql.DatabaseMetaData

### getSQLKeywords

    public java.lang.String getSQLKeywords()
                                    throws java.sql.SQLException

  Specified by:
    getSQLKeywords in interface java.sql.DatabaseMetaData

### getNumericFunctions

    public java.lang.String getNumericFunctions()
                                         throws java.sql.SQLException

  Specified by:
    getNumericFunctions in interface java.sql.DatabaseMetaData

### getStringFunctions

    public java.lang.String getStringFunctions()
                                        throws java.sql.SQLException

  Specified by:
    getStringFunctions in interface java.sql.DatabaseMetaData

### getSystemFunctions

    public java.lang.String getSystemFunctions()
                                        throws java.sql.SQLException

  Specified by:
    getSystemFunctions in interface java.sql.DatabaseMetaData

### getTimeDateFunctions

    public java.lang.String getTimeDateFunctions()
                                          throws java.sql.SQLException

  Specified by:
    getTimeDateFunctions in interface java.sql.DatabaseMetaData

### getSearchStringEscape

    public java.lang.String getSearchStringEscape()
                                           throws java.sql.SQLException

  Specified by:
    getSearchStringEscape in interface java.sql.DatabaseMetaData

### getExtraNameCharacters

    public java.lang.String getExtraNameCharacters()
                                            throws java.sql.SQLException

  Specified by:
    getExtraNameCharacters in interface java.sql.DatabaseMetaData

### supportsAlterTableWithAddColumn

    public boolean supportsAlterTableWithAddColumn()
                                            throws java.sql.SQLException

  Specified by:
    supportsAlterTableWithAddColumn in interface java.sql.DatabaseMetaData

### supportsAlterTableWithDropColumn

    public boolean supportsAlterTableWithDropColumn()
                                             throws java.sql.SQLException

  Specified by:
    supportsAlterTableWithDropColumn in interface java.sql.DatabaseMetaData

### supportsColumnAliasing

    public boolean supportsColumnAliasing()
                                   throws java.sql.SQLException

  Specified by:
    supportsColumnAliasing in interface java.sql.DatabaseMetaData

### nullPlusNonNullIsNull

    public boolean nullPlusNonNullIsNull()
                                  throws java.sql.SQLException

  Specified by:
    nullPlusNonNullIsNull in interface java.sql.DatabaseMetaData

### supportsConvert

    public boolean supportsConvert()
                            throws java.sql.SQLException

  Specified by:
    supportsConvert in interface java.sql.DatabaseMetaData

### supportsConvert

    public boolean supportsConvert(int fromType,
                                   int toType)
                            throws java.sql.SQLException

  Specified by:
    supportsConvert in interface java.sql.DatabaseMetaData

### supportsTableCorrelationNames

    public boolean supportsTableCorrelationNames()
                                          throws java.sql.SQLException

  Specified by:
    supportsTableCorrelationNames in interface java.sql.DatabaseMetaData

### supportsDifferentTableCorrelationNames

    public boolean supportsDifferentTableCorrelationNames()
                                                   throws java.sql.SQLException

  Specified by:
    supportsDifferentTableCorrelationNames in interface java.sql.DatabaseMetaData

### supportsExpressionsInOrderBy

    public boolean supportsExpressionsInOrderBy()
                                         throws java.sql.SQLException

  Specified by:
    supportsExpressionsInOrderBy in interface java.sql.DatabaseMetaData

### supportsOrderByUnrelated

    public boolean supportsOrderByUnrelated()
                                     throws java.sql.SQLException

  Specified by:
    supportsOrderByUnrelated in interface java.sql.DatabaseMetaData

### supportsGroupBy

    public boolean supportsGroupBy()
                            throws java.sql.SQLException

  Specified by:
    supportsGroupBy in interface java.sql.DatabaseMetaData

### supportsGroupByUnrelated

    public boolean supportsGroupByUnrelated()
                                     throws java.sql.SQLException

  Specified by:
    supportsGroupByUnrelated in interface java.sql.DatabaseMetaData

### supportsGroupByBeyondSelect

    public boolean supportsGroupByBeyondSelect()
                                        throws java.sql.SQLException

  Specified by:
    supportsGroupByBeyondSelect in interface java.sql.DatabaseMetaData

### supportsLikeEscapeClause

    public boolean supportsLikeEscapeClause()
                                     throws java.sql.SQLException

  Specified by:
    supportsLikeEscapeClause in interface java.sql.DatabaseMetaData

### supportsMultipleResultSets

    public boolean supportsMultipleResultSets()
                                       throws java.sql.SQLException

  Specified by:
    supportsMultipleResultSets in interface java.sql.DatabaseMetaData

### supportsMultipleTransactions

    public boolean supportsMultipleTransactions()
                                         throws java.sql.SQLException

  Specified by:
    supportsMultipleTransactions in interface java.sql.DatabaseMetaData

### supportsNonNullableColumns

    public boolean supportsNonNullableColumns()
                                       throws java.sql.SQLException

  Specified by:
    supportsNonNullableColumns in interface java.sql.DatabaseMetaData

### supportsMinimumSQLGrammar

    public boolean supportsMinimumSQLGrammar()
                                      throws java.sql.SQLException

  Specified by:
    supportsMinimumSQLGrammar in interface java.sql.DatabaseMetaData

### supportsCoreSQLGrammar

    public boolean supportsCoreSQLGrammar()
                                   throws java.sql.SQLException

  Specified by:
    supportsCoreSQLGrammar in interface java.sql.DatabaseMetaData

### supportsExtendedSQLGrammar

    public boolean supportsExtendedSQLGrammar()
                                       throws java.sql.SQLException

  Specified by:
    supportsExtendedSQLGrammar in interface java.sql.DatabaseMetaData

### supportsANSI92EntryLevelSQL

    public boolean supportsANSI92EntryLevelSQL()
                                        throws java.sql.SQLException

  Specified by:
    supportsANSI92EntryLevelSQL in interface java.sql.DatabaseMetaData

### supportsANSI92IntermediateSQL

    public boolean supportsANSI92IntermediateSQL()
                                          throws java.sql.SQLException

  Specified by:
    supportsANSI92IntermediateSQL in interface java.sql.DatabaseMetaData

### supportsANSI92FullSQL

    public boolean supportsANSI92FullSQL()
                                  throws java.sql.SQLException

  Specified by:
    supportsANSI92FullSQL in interface java.sql.DatabaseMetaData

### supportsIntegrityEnhancementFacility

    public boolean supportsIntegrityEnhancementFacility()
                                                 throws java.sql.SQLException

  Specified by:
    supportsIntegrityEnhancementFacility in interface java.sql.DatabaseMetaData

### supportsOuterJoins

    public boolean supportsOuterJoins()
                               throws java.sql.SQLException

  Specified by:
    supportsOuterJoins in interface java.sql.DatabaseMetaData

### supportsFullOuterJoins

    public boolean supportsFullOuterJoins()
                                   throws java.sql.SQLException

  Specified by:
    supportsFullOuterJoins in interface java.sql.DatabaseMetaData

### supportsLimitedOuterJoins

    public boolean supportsLimitedOuterJoins()
                                      throws java.sql.SQLException

  Specified by:
    supportsLimitedOuterJoins in interface java.sql.DatabaseMetaData

### getSchemaTerm

    public java.lang.String getSchemaTerm()
                                   throws java.sql.SQLException

  Specified by:
    getSchemaTerm in interface java.sql.DatabaseMetaData

### getProcedureTerm

    public java.lang.String getProcedureTerm()
                                      throws java.sql.SQLException

  Specified by:
    getProcedureTerm in interface java.sql.DatabaseMetaData

### getCatalogTerm

    public java.lang.String getCatalogTerm()
                                    throws java.sql.SQLException

  Specified by:
    getCatalogTerm in interface java.sql.DatabaseMetaData

### isCatalogAtStart

    public boolean isCatalogAtStart()
                             throws java.sql.SQLException

  Specified by:
    isCatalogAtStart in interface java.sql.DatabaseMetaData

### getCatalogSeparator

    public java.lang.String getCatalogSeparator()
                                         throws java.sql.SQLException

  Specified by:
    getCatalogSeparator in interface java.sql.DatabaseMetaData

### supportsSchemasInDataManipulation

    public boolean supportsSchemasInDataManipulation()
                                              throws java.sql.SQLException

  Specified by:
    supportsSchemasInDataManipulation in interface java.sql.DatabaseMetaData

### supportsSchemasInProcedureCalls

    public boolean supportsSchemasInProcedureCalls()
                                            throws java.sql.SQLException

  Specified by:
    supportsSchemasInProcedureCalls in interface java.sql.DatabaseMetaData

### supportsSchemasInTableDefinitions

    public boolean supportsSchemasInTableDefinitions()
                                              throws java.sql.SQLException

  Specified by:
    supportsSchemasInTableDefinitions in interface java.sql.DatabaseMetaData

### supportsSchemasInIndexDefinitions

    public boolean supportsSchemasInIndexDefinitions()
                                              throws java.sql.SQLException

  Specified by:
    supportsSchemasInIndexDefinitions in interface java.sql.DatabaseMetaData

### supportsSchemasInPrivilegeDefinitions

    public boolean supportsSchemasInPrivilegeDefinitions()
                                                  throws java.sql.SQLException

  Specified by:
    supportsSchemasInPrivilegeDefinitions in interface java.sql.DatabaseMetaData

### supportsCatalogsInDataManipulation

    public boolean supportsCatalogsInDataManipulation()
                                               throws java.sql.SQLException

  Specified by:
    supportsCatalogsInDataManipulation in interface java.sql.DatabaseMetaData

### supportsCatalogsInProcedureCalls

    public boolean supportsCatalogsInProcedureCalls()
                                             throws java.sql.SQLException

  Specified by:
    supportsCatalogsInProcedureCalls in interface java.sql.DatabaseMetaData

### supportsCatalogsInTableDefinitions

    public boolean supportsCatalogsInTableDefinitions()
                                               throws java.sql.SQLException

  Specified by:
    supportsCatalogsInTableDefinitions in interface java.sql.DatabaseMetaData

### supportsCatalogsInIndexDefinitions

    public boolean supportsCatalogsInIndexDefinitions()
                                               throws java.sql.SQLException

  Specified by:
    supportsCatalogsInIndexDefinitions in interface java.sql.DatabaseMetaData

### supportsCatalogsInPrivilegeDefinitions

    public boolean supportsCatalogsInPrivilegeDefinitions()
                                                   throws java.sql.SQLException

  Specified by:
    supportsCatalogsInPrivilegeDefinitions in interface java.sql.DatabaseMetaData

### supportsPositionedDelete

    public boolean supportsPositionedDelete()
                                     throws java.sql.SQLException

  Specified by:
    supportsPositionedDelete in interface java.sql.DatabaseMetaData

### supportsPositionedUpdate

    public boolean supportsPositionedUpdate()
                                     throws java.sql.SQLException

  Specified by:
    supportsPositionedUpdate in interface java.sql.DatabaseMetaData

### supportsSelectForUpdate

    public boolean supportsSelectForUpdate()
                                    throws java.sql.SQLException

  Specified by:
    supportsSelectForUpdate in interface java.sql.DatabaseMetaData

### supportsStoredProcedures

    public boolean supportsStoredProcedures()
                                     throws java.sql.SQLException

  Specified by:
    supportsStoredProcedures in interface java.sql.DatabaseMetaData

### supportsSubqueriesInComparisons

    public boolean supportsSubqueriesInComparisons()
                                            throws java.sql.SQLException

  Specified by:
    supportsSubqueriesInComparisons in interface java.sql.DatabaseMetaData

### supportsSubqueriesInExists

    public boolean supportsSubqueriesInExists()
                                       throws java.sql.SQLException

  Specified by:
    supportsSubqueriesInExists in interface java.sql.DatabaseMetaData

### supportsSubqueriesInIns

    public boolean supportsSubqueriesInIns()
                                    throws java.sql.SQLException

  Specified by:
    supportsSubqueriesInIns in interface java.sql.DatabaseMetaData

### supportsSubqueriesInQuantifieds

    public boolean supportsSubqueriesInQuantifieds()
                                            throws java.sql.SQLException

  Specified by:
    supportsSubqueriesInQuantifieds in interface java.sql.DatabaseMetaData

### supportsCorrelatedSubqueries

    public boolean supportsCorrelatedSubqueries()
                                         throws java.sql.SQLException

  Specified by:
    supportsCorrelatedSubqueries in interface java.sql.DatabaseMetaData

### supportsUnion

    public boolean supportsUnion()
                          throws java.sql.SQLException

  Specified by:
    supportsUnion in interface java.sql.DatabaseMetaData

### supportsUnionAll

    public boolean supportsUnionAll()
                             throws java.sql.SQLException

  Specified by:
    supportsUnionAll in interface java.sql.DatabaseMetaData

### supportsOpenCursorsAcrossCommit

    public boolean supportsOpenCursorsAcrossCommit()
                                            throws java.sql.SQLException

  Specified by:
    supportsOpenCursorsAcrossCommit in interface java.sql.DatabaseMetaData

### supportsOpenCursorsAcrossRollback

    public boolean supportsOpenCursorsAcrossRollback()
                                              throws java.sql.SQLException

  Specified by:
    supportsOpenCursorsAcrossRollback in interface java.sql.DatabaseMetaData

### supportsOpenStatementsAcrossCommit

    public boolean supportsOpenStatementsAcrossCommit()
                                               throws java.sql.SQLException

  Specified by:
    supportsOpenStatementsAcrossCommit in interface java.sql.DatabaseMetaData

### supportsOpenStatementsAcrossRollback

    public boolean supportsOpenStatementsAcrossRollback()
                                                 throws java.sql.SQLException

  Specified by:
    supportsOpenStatementsAcrossRollback in interface java.sql.DatabaseMetaData

### getMaxBinaryLiteralLength

    public int getMaxBinaryLiteralLength()
                                  throws java.sql.SQLException

  Specified by:
    getMaxBinaryLiteralLength in interface java.sql.DatabaseMetaData

### getMaxCharLiteralLength

    public int getMaxCharLiteralLength()
                                throws java.sql.SQLException

  Specified by:
    getMaxCharLiteralLength in interface java.sql.DatabaseMetaData

### getMaxColumnNameLength

    public int getMaxColumnNameLength()
                               throws java.sql.SQLException

  Specified by:
    getMaxColumnNameLength in interface java.sql.DatabaseMetaData

### getMaxColumnsInGroupBy

    public int getMaxColumnsInGroupBy()
                               throws java.sql.SQLException

  Specified by:
    getMaxColumnsInGroupBy in interface java.sql.DatabaseMetaData

### getMaxColumnsInIndex

    public int getMaxColumnsInIndex()
                             throws java.sql.SQLException

  Specified by:
    getMaxColumnsInIndex in interface java.sql.DatabaseMetaData

### getMaxColumnsInOrderBy

    public int getMaxColumnsInOrderBy()
                               throws java.sql.SQLException

  Specified by:
    getMaxColumnsInOrderBy in interface java.sql.DatabaseMetaData

### getMaxColumnsInSelect

    public int getMaxColumnsInSelect()
                              throws java.sql.SQLException

  Specified by:
    getMaxColumnsInSelect in interface java.sql.DatabaseMetaData

### getMaxColumnsInTable

    public int getMaxColumnsInTable()
                             throws java.sql.SQLException

  Specified by:
    getMaxColumnsInTable in interface java.sql.DatabaseMetaData

### getMaxConnections

    public int getMaxConnections()
                          throws java.sql.SQLException

  Specified by:
    getMaxConnections in interface java.sql.DatabaseMetaData

### getMaxCursorNameLength

    public int getMaxCursorNameLength()
                               throws java.sql.SQLException

  Specified by:
    getMaxCursorNameLength in interface java.sql.DatabaseMetaData

### getMaxIndexLength

    public int getMaxIndexLength()
                          throws java.sql.SQLException

  Specified by:
    getMaxIndexLength in interface java.sql.DatabaseMetaData

### getMaxSchemaNameLength

    public int getMaxSchemaNameLength()
                               throws java.sql.SQLException

  Specified by:
    getMaxSchemaNameLength in interface java.sql.DatabaseMetaData

### getMaxProcedureNameLength

    public int getMaxProcedureNameLength()
                                  throws java.sql.SQLException

  Specified by:
    getMaxProcedureNameLength in interface java.sql.DatabaseMetaData

### getMaxCatalogNameLength

    public int getMaxCatalogNameLength()
                                throws java.sql.SQLException

  Specified by:
    getMaxCatalogNameLength in interface java.sql.DatabaseMetaData

### getMaxRowSize

    public int getMaxRowSize()
                      throws java.sql.SQLException

  Specified by:
    getMaxRowSize in interface java.sql.DatabaseMetaData

### doesMaxRowSizeIncludeBlobs

    public boolean doesMaxRowSizeIncludeBlobs()
                                       throws java.sql.SQLException

  Specified by:
    doesMaxRowSizeIncludeBlobs in interface java.sql.DatabaseMetaData

### getMaxStatementLength

    public int getMaxStatementLength()
                              throws java.sql.SQLException

  Specified by:
    getMaxStatementLength in interface java.sql.DatabaseMetaData

### getMaxStatements

    public int getMaxStatements()
                         throws java.sql.SQLException

  Specified by:
    getMaxStatements in interface java.sql.DatabaseMetaData

### getMaxTableNameLength

    public int getMaxTableNameLength()
                              throws java.sql.SQLException

  Specified by:
    getMaxTableNameLength in interface java.sql.DatabaseMetaData

### getMaxTablesInSelect

    public int getMaxTablesInSelect()
                             throws java.sql.SQLException

  Specified by:
    getMaxTablesInSelect in interface java.sql.DatabaseMetaData

### getMaxUserNameLength

    public int getMaxUserNameLength()
                             throws java.sql.SQLException

  Specified by:
    getMaxUserNameLength in interface java.sql.DatabaseMetaData

### getDefaultTransactionIsolation

    public int getDefaultTransactionIsolation()
                                       throws java.sql.SQLException

  Specified by:
    getDefaultTransactionIsolation in interface java.sql.DatabaseMetaData

### supportsTransactions

    public boolean supportsTransactions()
                                 throws java.sql.SQLException

  Specified by:
    supportsTransactions in interface java.sql.DatabaseMetaData

### supportsTransactionIsolationLevel

    public boolean supportsTransactionIsolationLevel(int level)
                                              throws java.sql.SQLException

  Specified by:
    supportsTransactionIsolationLevel in interface java.sql.DatabaseMetaData

### supportsDataDefinitionAndDataManipulationTransactions

    public boolean supportsDataDefinitionAndDataManipulationTransactions()
                                                                  throws java.sql.SQLException

  Specified by:
    supportsDataDefinitionAndDataManipulationTransactions in interface java.sql.DatabaseMetaData

### supportsDataManipulationTransactionsOnly

    public boolean supportsDataManipulationTransactionsOnly()
                                                     throws java.sql.SQLException

  Specified by:
    supportsDataManipulationTransactionsOnly in interface java.sql.DatabaseMetaData

### dataDefinitionCausesTransactionCommit

    public boolean dataDefinitionCausesTransactionCommit()
                                                  throws java.sql.SQLException

  Specified by:
    dataDefinitionCausesTransactionCommit in interface java.sql.DatabaseMetaData

### dataDefinitionIgnoredInTransactions

    public boolean dataDefinitionIgnoredInTransactions()
                                                throws java.sql.SQLException

  Specified by:
    dataDefinitionIgnoredInTransactions in interface java.sql.DatabaseMetaData

### getProcedures

    public java.sql.ResultSet getProcedures(java.lang.String catalog,
                                            java.lang.String schemaPattern,
                                            java.lang.String procedureNamePattern)
                                     throws java.sql.SQLException

  Specified by:
    getProcedures in interface java.sql.DatabaseMetaData

### getProcedureColumns

    public java.sql.ResultSet getProcedureColumns(java.lang.String catalog,
                                                  java.lang.String schemaPattern,
                                                  java.lang.String procedureNamePattern,
                                                  java.lang.String columnNamePattern)
                                           throws java.sql.SQLException

  Specified by:
    getProcedureColumns in interface java.sql.DatabaseMetaData

### getTables

    public java.sql.ResultSet getTables(java.lang.String catalog,
                                        java.lang.String schemaPattern,
                                        java.lang.String tableNamePattern,
                                        java.lang.String[] types)
                                 throws java.sql.SQLException

  Specified by:
    getTables in interface java.sql.DatabaseMetaData

### getSchemas

    public java.sql.ResultSet getSchemas()
                                  throws java.sql.SQLException

  Specified by:
    getSchemas in interface java.sql.DatabaseMetaData

### getCatalogs

    public java.sql.ResultSet getCatalogs()
                                   throws java.sql.SQLException

  Specified by:
    getCatalogs in interface java.sql.DatabaseMetaData

### getTableTypes

    public java.sql.ResultSet getTableTypes()
                                     throws java.sql.SQLException

  Specified by:
    getTableTypes in interface java.sql.DatabaseMetaData

### getColumns

    public java.sql.ResultSet getColumns(java.lang.String catalog,
                                         java.lang.String schemaPattern,
                                         java.lang.String tableNamePattern,
                                         java.lang.String columnNamePattern)
                                  throws java.sql.SQLException

  Specified by:
    getColumns in interface java.sql.DatabaseMetaData

### getColumnPrivileges

    public java.sql.ResultSet getColumnPrivileges(java.lang.String catalog,
                                                  java.lang.String schema,
                                                  java.lang.String table,
                                                  java.lang.String columnNamePattern)
                                           throws java.sql.SQLException

  Specified by:
    getColumnPrivileges in interface java.sql.DatabaseMetaData

### getTablePrivileges

    public java.sql.ResultSet getTablePrivileges(java.lang.String catalog,
                                                 java.lang.String schemaPattern,
                                                 java.lang.String tableNamePattern)
                                          throws java.sql.SQLException

  Specified by:
    getTablePrivileges in interface java.sql.DatabaseMetaData

### getBestRowIdentifier

    public java.sql.ResultSet getBestRowIdentifier(java.lang.String catalog,
                                                   java.lang.String schema,
                                                   java.lang.String table,
                                                   int scope,
                                                   boolean nullable)
                                            throws java.sql.SQLException

  Specified by:
    getBestRowIdentifier in interface java.sql.DatabaseMetaData

### getVersionColumns

    public java.sql.ResultSet getVersionColumns(java.lang.String catalog,
                                                java.lang.String schema,
                                                java.lang.String table)
                                         throws java.sql.SQLException

  Specified by:
    getVersionColumns in interface java.sql.DatabaseMetaData

### getPrimaryKeys

    public java.sql.ResultSet getPrimaryKeys(java.lang.String catalog,
                                             java.lang.String schema,
                                             java.lang.String table)
                                      throws java.sql.SQLException

  Specified by:
    getPrimaryKeys in interface java.sql.DatabaseMetaData

### getImportedKeys

    public java.sql.ResultSet getImportedKeys(java.lang.String catalog,
                                              java.lang.String schema,
                                              java.lang.String table)
                                       throws java.sql.SQLException

  Specified by:
    getImportedKeys in interface java.sql.DatabaseMetaData

### getExportedKeys

    public java.sql.ResultSet getExportedKeys(java.lang.String catalog,
                                              java.lang.String schema,
                                              java.lang.String table)
                                       throws java.sql.SQLException

  Specified by:
    getExportedKeys in interface java.sql.DatabaseMetaData

### getCrossReference

    public java.sql.ResultSet getCrossReference(java.lang.String primaryCatalog,
                                                java.lang.String primarySchema,
                                                java.lang.String primaryTable,
                                                java.lang.String foreignCatalog,
                                                java.lang.String foreignSchema,
                                                java.lang.String foreignTable)
                                         throws java.sql.SQLException

  Specified by:
    getCrossReference in interface java.sql.DatabaseMetaData

### getTypeInfo

    public java.sql.ResultSet getTypeInfo()
                                   throws java.sql.SQLException

  Specified by:
    getTypeInfo in interface java.sql.DatabaseMetaData

### getIndexInfo

    public java.sql.ResultSet getIndexInfo(java.lang.String catalog,
                                           java.lang.String schema,
                                           java.lang.String table,
                                           boolean unique,
                                           boolean approximate)
                                    throws java.sql.SQLException

  Specified by:
    getIndexInfo in interface java.sql.DatabaseMetaData

### supportsResultSetType

    public boolean supportsResultSetType(int type)
                                  throws java.sql.SQLException

  Specified by:
    supportsResultSetType in interface java.sql.DatabaseMetaData

### supportsResultSetConcurrency

    public boolean supportsResultSetConcurrency(int type,
                                                int concurrency)
                                         throws java.sql.SQLException

  Specified by:
    supportsResultSetConcurrency in interface java.sql.DatabaseMetaData

### ownUpdatesAreVisible

    public boolean ownUpdatesAreVisible(int type)
                                 throws java.sql.SQLException

  Specified by:
    ownUpdatesAreVisible in interface java.sql.DatabaseMetaData

### ownDeletesAreVisible

    public boolean ownDeletesAreVisible(int type)
                                 throws java.sql.SQLException

  Specified by:
    ownDeletesAreVisible in interface java.sql.DatabaseMetaData

### ownInsertsAreVisible

    public boolean ownInsertsAreVisible(int type)
                                 throws java.sql.SQLException

  Specified by:
    ownInsertsAreVisible in interface java.sql.DatabaseMetaData

### othersUpdatesAreVisible

    public boolean othersUpdatesAreVisible(int type)
                                    throws java.sql.SQLException

  Specified by:
    othersUpdatesAreVisible in interface java.sql.DatabaseMetaData

### othersDeletesAreVisible

    public boolean othersDeletesAreVisible(int type)
                                    throws java.sql.SQLException

  Specified by:
    othersDeletesAreVisible in interface java.sql.DatabaseMetaData

### othersInsertsAreVisible

    public boolean othersInsertsAreVisible(int type)
                                    throws java.sql.SQLException

  Specified by:
    othersInsertsAreVisible in interface java.sql.DatabaseMetaData

### updatesAreDetected

    public boolean updatesAreDetected(int type)
                               throws java.sql.SQLException

  Specified by:
    updatesAreDetected in interface java.sql.DatabaseMetaData

### deletesAreDetected

    public boolean deletesAreDetected(int type)
                               throws java.sql.SQLException

  Specified by:
    deletesAreDetected in interface java.sql.DatabaseMetaData

### insertsAreDetected

    public boolean insertsAreDetected(int type)
                               throws java.sql.SQLException

  Specified by:
    insertsAreDetected in interface java.sql.DatabaseMetaData

### supportsBatchUpdates

    public boolean supportsBatchUpdates()
                                 throws java.sql.SQLException

  Specified by:
    supportsBatchUpdates in interface java.sql.DatabaseMetaData

### getUDTs

    public java.sql.ResultSet getUDTs(java.lang.String catalog,
                                      java.lang.String schemaPattern,
                                      java.lang.String typeNamePattern,
                                      int[] types)
                               throws java.sql.SQLException

  Specified by:
    getUDTs in interface java.sql.DatabaseMetaData

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Specified by:
    getConnection in interface java.sql.DatabaseMetaData

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD